petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatInodeGetInodeSizes

Returns the inode information of the Inode matrix.

### Synopsis

    PetscErrorCode  MatInodeGetInodeSizes(Mat A,PetscInt *node_count,PetscInt *sizes[],PetscInt *limit)

Not Collective Many br

### Input Parameter

A -the Inode matrix or matrix derived from the Inode class -- e.g., SeqAIJ Many br

### Output Parameter

| node_count | - no of inodes present in the matrix. Many br
| sizes | - an array of size node_count,with sizes of each inode. Many br
| limit | - the max size used to generate the inodes. Many br

Many br

Notes: This routine returns some internal storage information Many brof the matrix, it is intended to be used by advanced users. Many brIt should be called after the matrix is assembled. Many brThe contents of the sizes[] array should not be changed. Many brNULL may be passed for information not requested. Many br

### Keywords

matrix, seqaij, get, inode

### See Also

MatGetInfo()

Level:advanced
Location:src/mat/impls/aij/seq/inode.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages